;;; Sierra Script 1.0 - (do not remove this comment)
;
; * SCI Game Header
; * By Brian Provinciano
; *************************************************************************
; * Put all the defines specific to your game in here

; Base Scripts
(define MAIN_SCRIPT 0)
(define LIEVENLOCALE_SCRIPT 750)
(define BLACKSCREEN_SCRIPT 900)
(define AVOID_SCRIPT 973)
(define DOOR_SCRIPT 974)
(define AUTODOOR_SCRIPT 975)
(define INITROOMS_SCRIPT 976)
(define DYING_SCRIPT 977)
(define DISPOSELOAD_SCRIPT 978)
(define CONTROLS_SCRIPT 979)
(define DPATH_SCRIPT 980)
(define DCICON_SCRIPT 981)
(define REV_SCRIPT 982)
(define WANDER_SCRIPT 983)
(define FOLLOW_SCRIPT 984)
(define TIMER_SCRIPT 985)
(define WINDOW_SCRIPT 986)
(define GAUGE_SCRIPT 987)
(define EXTRA_SCRIPT 988)
(define SOUND_SCRIPT 989)
(define SYSWINDOW_SCRIPT 990)
(define JUMP_SCRIPT 991)
(define CYCLE_SCRIPT 992)
(define FILEIO_SCRIPT 993)
(define GAME_SCRIPT 994)
(define INVENTORY_SCRIPT 995)
(define USER_SCRIPT 996)
(define MENUBAR_SCRIPT 997)
(define FEATURE_SCRIPT 998)
(define OBJ_SCRIPT 999)
; Game Scripts
(define TITLESCREEN_SCRIPT 800)
; Defaults
(define NORMAL_SPEED 8)
; Sounds
(define DUMMY_SOUND 1)
(define SCORE_SOUND 900)
(define DEATH_SOUND 2)
; Inventory Items
(define INV_NOTHING 0)
(define INV_PSIBLADE 1)
(define INV_READER 2)
(define INV_HANDBOOK 3)
(define INV_KEEL 4)
(define INV_LIGHTSTRINGFULL 5)
(define INV_LIGHTSTRINGGREENONLY 6)
(define INV_LIGHTSTRINGREDONLY 7)
(define INV_REDBULB 8)
(define INV_GREENBULB 9)
(define INV_ARTIFACT 10)
(define INV_ROCKPICK 11)
(define INV_COVERALLS 12)
(define INV_TOOLKIT 13)
(define INV_SANDWICH 14)
(define INV_BROKENSANDWICH 15)
(define INV_BLOBOFGREASE 16)
(define INV_BALLOFGREASE 17)
(define INV_BLACKBLOB 18)
(define INV_GLOWINGBLACKBLOB 19)
(define INV_BLACKBALL 20)
(define INV_ARTIFAKE 21)
(define INV_SCREWDRIVER 22)
(define INV_BLUEPNEUM 23)
(define INV_REDPNEUM 24)
(define INV_PURPLEPNEUM 25)
(define INV_GREENPNEUM 26)
(define INV_HINGES 27)
(define INV_CONSPBOOK 28)
(define INV_LIEVENROCK 29)
(define INV_JAROFGREASE 30)
(define INV_EMPTYJAR 31)
(define INV_SCROLL 32)

; Fonts
(define DEFAULT_FONT 0)
(define WINDOW_FONT 1)
(define SMALL_FONT 4)
(define LARGE_FONT 9)
(define DEBUG_FONT 999)
; Menu IDs eg. $302 means third menu, second item
(define MENU_ABOUT $0101)
(define MENU_HELP $0102)
(define MENU_HINTS $0103)
(define MENU_RESTART $0201)
(define MENU_SAVE $0202)
(define MENU_RESTORE $0203)
(define MENU_QUIT $0205)
(define MENU_PAUSE $0301)
(define MENU_INVENTORY $0302)
(define MENU_RETYPE $0304)
(define MENU_LOOKAT $0305)
(define MENU_READ $0306)
(define MENU_RECALL $0307)
(define MENU_ASKABOUT $0308)
(define MENU_TELLABOUT $0309)
(define MENU_COLOURS $0311)
(define MENU_CHANGESPEED $0401)
(define MENU_FASTERSPEED $0403)
(define MENU_NORMALSPEED $0404)
(define MENU_SLOWERSPEED $0405)
(define MENU_VOLUME $0501)
(define MENU_TOGGLESOUND $0502)

(enum
	fAlleyLightBusted 
	fArtBoxFirstOpened 
	fArtifakeSwapped 
	fBoughtHammer 
	fBrokenSandwichStreet 
	fBrokenSandwichThrown 
	fBulbChanged 
	fCabinetBroken 
	fCabinetOpened 
	fChiernoFetch 
	fChiernoOut 
	fCircuitRefried 
	fCoverallsStreet 
	fDirtyHands 
	fDrevAskedBattle 
	fDrevAskedClay 
	fDrevAskedGeneral 
	fDrevAskedSwamp 
	fDrevAskedWar 
	fDrevBelieves 
	fDrevDeal 
	fDrevOpen
	fDrevSandwichTold 
	fFryerBroken
	fFryerTrapSmashed 
	fFirstDeliVisit 
	fFirstDeliVisitOnly 
	fFirstKitchenVisit 
	fGabagorahDeal 
	fGabKilled 
	fGabLocationGiven 
	fGabResistance 
	fGabBeat 
	fGreasyOrb 
	fGreenFryerBulbReplaced 
	fGreaseJarInTrash 
	fGreichDeal 
	fGreichFirstJar 
	fHasGrease 
	fHingesGiven 
	fHingesRemoved 
	fHingesTaken 
	fKeelTaken 
	fKickedFromCurio 
	fKickedFromCurioFirst 
	fKillGabagorah 
	fLightStringTaken 
	fOrbFirstFall 
	fPneumFixed 
	fPneumTaken 
	fPneumTakenBl 
	fPneumTakenGr 
	fPneumTakenPu 
	fPneumTakenRd 
	fPortOJohnLocked
	fRepairShuttle1There
	fRepairShuttle1Unlocked 
	fRepairShuttle2There 
	fRepairShuttle2Sent 
	fRockSettingSmall 
	fSandwichEaten 
	fSandwichNibbled 
	fSandwichPiecesGiven 
	fSandwichGiven 
	fSectSuspicion
	fSeenInCoveralls 
	fSmallRocksInPile 
	fStayWithGab 
	fStinkySandwichKickout 
	fTrashMoved 
	fWearingCoveralls
)